#include "opendylan/run-time.h"

void _Init_dfmc_common_ () __attribute__((constructor));
void _Init_dfmc_common_ () {
  extern void _Init_Run_Time();
  extern void _Init_ppml_();
  extern void _Init_source_records_();
  extern void _Init_dood_();
  extern void _Init_system_();
  extern void _Init_io_();
  extern void _Init_walker_();
  extern void _Init_collections_();
  extern void _Init_common_dylan_();
  extern void _Init_dylan_();
  extern void _Init_dfmc_common__X_common_library_for_system();
  extern void _Init_dfmc_common__X_common_macros_for_system();
  extern void _Init_dfmc_common__X_property_delegation_macros_for_system();
  extern void _Init_dfmc_common__X_symbolic_class_for_system();
  extern void _Init_dfmc_common__X_names_for_system();
  extern void _Init_dfmc_common__X_named_object_for_system();
  extern void _Init_dfmc_common__X_referenced_object_for_system();
  extern void _Init_dfmc_common__X_emitted_object_for_system();
  extern void _Init_dfmc_common__X_model_properties_for_system();
  extern void _Init_dfmc_common__X_common_for_system();
  extern void _Init_dfmc_common__X_compilation_records_for_system();
  extern void _Init_dfmc_common__X_top_level_forms_for_system();
  extern void _Init_dfmc_common__X_compilation_pass_for_system();
  extern void _Init_dfmc_common__X_common_library_for_user();
  extern void _Init_dfmc_common__X_common_macros_for_user();
  extern void _Init_dfmc_common__X_property_delegation_macros_for_user();
  extern void _Init_dfmc_common__X_symbolic_class_for_user();
  extern void _Init_dfmc_common__X_names_for_user();
  extern void _Init_dfmc_common__X_named_object_for_user();
  extern void _Init_dfmc_common__X_referenced_object_for_user();
  extern void _Init_dfmc_common__X_emitted_object_for_user();
  extern void _Init_dfmc_common__X_model_properties_for_user();
  extern void _Init_dfmc_common__X_common_for_user();
  extern void _Init_dfmc_common__X_compilation_records_for_user();
  extern void _Init_dfmc_common__X_top_level_forms_for_user();
  extern void _Init_dfmc_common__X_compilation_pass_for_user();
  static int initp = 0;
  if (!initp) {
    initp = 1;
    _Init_Run_Time();
    _Init_ppml_();
    _Init_source_records_();
    _Init_dood_();
    _Init_system_();
    _Init_io_();
    _Init_walker_();
    _Init_collections_();
    _Init_common_dylan_();
    _Init_dylan_();
    _Init_dfmc_common__X_common_library_for_system();
    _Init_dfmc_common__X_common_macros_for_system();
    _Init_dfmc_common__X_property_delegation_macros_for_system();
    _Init_dfmc_common__X_symbolic_class_for_system();
    _Init_dfmc_common__X_names_for_system();
    _Init_dfmc_common__X_named_object_for_system();
    _Init_dfmc_common__X_referenced_object_for_system();
    _Init_dfmc_common__X_emitted_object_for_system();
    _Init_dfmc_common__X_model_properties_for_system();
    _Init_dfmc_common__X_common_for_system();
    _Init_dfmc_common__X_compilation_records_for_system();
    _Init_dfmc_common__X_top_level_forms_for_system();
    _Init_dfmc_common__X_compilation_pass_for_system();
    _Init_dfmc_common__X_common_library_for_user();
    _Init_dfmc_common__X_common_macros_for_user();
    _Init_dfmc_common__X_property_delegation_macros_for_user();
    _Init_dfmc_common__X_symbolic_class_for_user();
    _Init_dfmc_common__X_names_for_user();
    _Init_dfmc_common__X_named_object_for_user();
    _Init_dfmc_common__X_referenced_object_for_user();
    _Init_dfmc_common__X_emitted_object_for_user();
    _Init_dfmc_common__X_model_properties_for_user();
    _Init_dfmc_common__X_common_for_user();
    _Init_dfmc_common__X_compilation_records_for_user();
    _Init_dfmc_common__X_top_level_forms_for_user();
    _Init_dfmc_common__X_compilation_pass_for_user();
  }
}
